#!/usr/bin/env python
import coral

TM = coral.getTransactionManager()

ok = 0
TM.beginModifyCmd()
try:
    p1 = coral.lang.UML14.Package()
    p2 = coral.lang.UML14.Package()
    p1.namespace = p2
    p2.namespace = p1
finally:
    try:
        TM.endModifyCmd()
    except:
        ok = 1
assert ok
